## org.mortbay.util
Interface Pool.PondLife

All Known Implementing Classes:
  ThreadPool.PoolThread

Enclosing interface:
  Pool

public static interface Pool.PondLife

Method Summary
`void` `enterPool(Pool pool, int id)`
`int` `getID()`
`void` `leavePool()`
`void` `poolClosing()`

Method Detail

### getID

    public int getID()

### enterPool

    public void enterPool(Pool pool,
                          int id)

### poolClosing

    public void poolClosing()

### leavePool

    public void leavePool()

Copyright © 2000 Mortbay Consulting Pty. Ltd. All Rights Reserved.